# AIS2D_HSequenceOfPrimArchit.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_AIS2D_HSequenceOfPrimArchit.hxx>`
`#include <AIS2D_SequenceOfPrimArchit.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_AIS2D_PrimitiveArchit.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_AIS2D_PrimitiveArchit
#define | Item_hxx <AIS2D_PrimitiveArchit.hxx>
#define | TheSequence AIS2D_SequenceOfPrimArchit
#define | TheSequence_hxx <AIS2D_SequenceOfPrimArchit.hxx>
#define | TCollection_HSequence AIS2D_HSequenceOfPrimArchit
#define | TCollection_HSequence_hxx <AIS2D_HSequenceOfPrimArchit.hxx>
#define | Handle_TCollection_HSequence Handle_AIS2D_HSequenceOfPrimArchit
#define | TCollection_HSequence_Type_() AIS2D_HSequenceOfPrimArchit_Type_()

## Functions

Handle_AIS2D_HSequenceOfPrimArchit | ShallowCopy (const Handle_AIS2D_HSequenceOfPrimArchit &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_AIS2D_HSequenceOfPrimArchit

#define Item Handle_AIS2D_PrimitiveArchit

#define Item_hxx <AIS2D_PrimitiveArchit.hxx>

#define TCollection_HSequence AIS2D_HSequenceOfPrimArchit

#define TCollection_HSequence_hxx <AIS2D_HSequenceOfPrimArchit.hxx>

#define TCollection_HSequence_Type_ | (

)

AIS2D_HSequenceOfPrimArchit_Type_()

#define TheSequence AIS2D_SequenceOfPrimArchit

#define TheSequence_hxx <AIS2D_SequenceOfPrimArchit.hxx>

## Function Documentation

Handle_AIS2D_HSequenceOfPrimArchit ShallowCopy | ( | const Handle_AIS2D_HSequenceOfPrimArchit & | me | ) | `[inline]`